package rand.asset_forfeiture;

import javax.swing.JTextArea;

/** This Benchmark case simply hires one replacement legal worker for
 * each illegal worker no longer available. These legal workers are
 * paid the replacement wage, but all other costs stay the same. This
 * should always be the WORST CASE.
 */
public class Benchmark extends GCalc {

    /** The displayed name of this class, used for text output. */
    private static String name = "Benchmark";

    /** The only constructor simply calls super() */
    public Benchmark() {
	super();
    }

    //documented in ProfitCalculator
    public String getName() {return name;}

    //documented in ProfitCalculator
    public Boolean needsVar(variables v)
    {
	switch(v) {
	case L1:
	    return true;
	case L3:
	    return true;
	case L2:
	    return true;
	case PL1:
	    return true;
	case PL3:
	    return true;
	case PL2:
	    return false;
	case R:
	    return true;
	case pi:
	    return true;
	case rho:
	    return true;
	default:
	    return false;
	}
    }

    //these are all documented in GCalc
    protected String X3OptString() {return "X3";}
    protected String KOptString() {return "K";}
    protected Double X3Opt() {return X3();}
    protected Double X4Opt() {return X2();}
    protected Double KOpt() {return K();}
    protected Double X1Opt() {return X1();}
    protected String X1OptString() {return "X1";}
    protected Double rhoOpt() {return rho();}
    protected String rhoOptString() {return "rho";}
    protected Double phi3() {return 0.0;}
    protected String phi3String() {return "";}


}
